Skip to main content
GET
/
international-sms-pricing
List international SMS pricing
curl --request GET \
  --url https://api.otpiq.com/api/international-sms-pricing \
  --header 'Authorization: Bearer <token>'
{
  "currency": "IQD",
  "page": 1,
  "limit": 100,
  "total": 0,
  "pages": 1,
  "filter": {},
  "items": [
    {
      "continent": "Asia",
      "countryIso": "IQ",
      "countryCode": "964",
      "country": "Iraq",
      "networkId": "iq_zain",
      "network": "Zain Iraq",
      "price": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

Project API key (sk_live… or sk_dev…). Send it as Authorization: Bearer <api_key>.

Query Parameters

page
integer
default:1

Page index. Range: 1 to 1,000,000.

Required range: 1 <= x <= 1000000
limit
integer
default:100

Page size. Range: 1 to 500.

Required range: 1 <= x <= 500
countryIso
string

Optional two-letter ISO country code (for example, IQ). Matching is case-insensitive.

Pattern: ^[A-Za-z]{2}$
Example:

"IQ"

Response

International SMS pricing list retrieved successfully.

currency
string
required
Example:

"IQD"

page
integer
required
Required range: x >= 1
Example:

1

limit
integer
required
Required range: 1 <= x <= 500
Example:

100

total
integer
required
Required range: x >= 0
Example:

0

pages
integer
required
Required range: x >= 1
Example:

1

filter
object

{} when listing all countries; { "countryIso": "XX" } when countryIso is set.

items
object[]

Sorted by countryIso, then mccMnc, then network.